Page MenuHomeFreeBSD

Porter Handbook: document Uses/cabal.mk
ClosedPublic

Authored by arrowd on Feb 24 2020, 5:30 PM.

Details

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

arrowd created this revision.Feb 24 2020, 5:30 PM
bcr added a subscriber: bcr.Feb 24 2020, 6:08 PM

I found a few things, but having this in the porters handbook is good.

en_US.ISO8859-1/books/porters-handbook/special/chapter.xml
1336 ↗(On Diff #68756)

The indentation here is wrong. The <sect2 needs to be aligned below the </sect2> above (with an empty line in between).

1342 ↗(On Diff #68756)

I think the space here before the / is not necessary.

1374 ↗(On Diff #68756)

Is the / here before the </screen> really part of the output?

1394 ↗(On Diff #68756)

avoid the use of "we". Instead, simply write: "Once done, a list of files required dependencies can be generated:"

1403 ↗(On Diff #68756)

You can enclose the .cabal in <filename> tags.

1406 ↗(On Diff #68756)

Remove the "we can" here: "..., run the following command:"

1414 ↗(On Diff #68756)

Enclose the _ in <literal> tags.

7213 ↗(On Diff #68756)

This seems like to break the line too early. You can fill it up until 70 - 75 characters per line.

en_US.ISO8859-1/books/porters-handbook/uses/chapter.xml
256 ↗(On Diff #68756)

s/provides following/provides the following/

265 ↗(On Diff #68756)

Enclose them in <literal> or <varname> tags and put the 0.1.2 in <replaceable> tags.

267 ↗(On Diff #68756)

wrap the _ in <literal> and put a "the" before it: "the _ symbol."

277 ↗(On Diff #68756)

program is superfluous, as the <command> tags show what it is.

277 ↗(On Diff #68756)

s/during configuring/during the configuring/

323 ↗(On Diff #68756)

superfluous option (change the <literal> to <option> to make it clear).

arrowd updated this revision to Diff 68791.Feb 25 2020, 8:58 AM
arrowd marked 13 inline comments as done.

Address comments.

arrowd marked an inline comment as not done.Mar 11 2020, 7:42 AM

Bump.

en_US.ISO8859-1/books/porters-handbook/special/chapter.xml
1374 ↗(On Diff #68756)

Yes, it is. I can remove it, if it gets in the way.

Bump. Can we get this in?

0mp added a subscriber: 0mp.Mar 21 2020, 9:52 PM

Could you ask on the freebsd-ports@ mailing list for a final round of reviews? This looks like a nice addition to the PH. Let's see if the community has any feedback on that.

@bcr, is the DocBook part alright?

@mat, should we wait for your review?

en_US.ISO8859-1/books/porters-handbook/special/chapter.xml
1341 ↗(On Diff #68791)

How about s/define/defines ?

bcr added a comment.Mar 22 2020, 11:52 AM

The DocBook parts look good to me.

crees accepted this revision as: docs.Mar 22 2020, 1:06 PM
crees added a subscriber: crees.

I have a comment on the MAINTAINER line, but agree with @bcr.

en_US.ISO8859-1/books/porters-handbook/special/chapter.xml
1359 ↗(On Diff #68791)

MAINTAINER= # put your email address here

Unless haskell@ is happy to have extra ports dropped on them!

This revision was not accepted when it landed; it landed in state Needs Review.Mar 27 2020, 7:18 PM
This revision was automatically updated to reflect the committed changes.
arrowd marked an inline comment as done.